body{
    background-color: #F8F9FA;
    margin: 0px;
}
.main{
    display: grid;
    grid-template-columns: repeat(1fr, 6);
    grid-template-rows: 150px;
    flex-wrap: wrap;
}
.aside{
    display: flex;
    grid-area: 1/2;
    grid-row: 1/-1;
    background-color: grey;
    width: 200px;
    height: 720px;
    margin: 0px;
    flex-wrap: nowrap;
}
.catalog{
    display: flex;
    grid-area: 2/6;
    flex-direction: row;
    gap: 10px;
    height: 500px;
    overflow-y: scroll;
    overflow-x: hidden;
    margin: 20px;
}
.nav{
    display: grid;
    grid-area: 2/6;
    grid-row: 1/2;
    width: 1300px;
    height: 150px;
    grid-template-columns: repeat(1fr, 3) ;
    grid-auto-rows: minmax(50px, auto);
}
.nav__sort{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    grid-column: 1 / 2;
}
.sort__list{
    border-color: #ffffff;
    width: 50%;
    height: 30px;
}
.nav__search{
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    height: 100%;
    grid-column: 2/3;
}
.search__query{
    border-color: #ffffff2e;
    width: 50%;
    height: 30px;
    padding: 1px 15px;
}
.search__button{
    padding: 0;
    border: none;
    margin: 0;
    width: 60px;
    height: 35px;
}
.search__button:hover{
    cursor: pointer;
}
.search__icon{
    width: 100%;
    height: 100%;
}
.catalog__section{
    display: flex;
    flex-direction: row;
    gap: 10px;
    flex-wrap: wrap;
}
.catalog__product{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex: 1 335px;
    max-width:  300px;
    height: 320px;
    background: white;
    border: 1px solid #E4E5EC;
    border-radius: 8px;
    box-sizing: border-box;
    position: relative;
    
}
.catalog__product:hover{
    border: 2px solid rgb(77, 77, 158);
    border-radius: 8px;
    cursor: pointer; 
}
.container {
    display: block;
    position: relative;
    padding-left: 35px;
    margin-bottom: 12px;
    cursor: pointer;
    font-size: 22px;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }
  
  /* Hide the browser's default checkbox */
  .container input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    height: 0;
    width: 0;
  }
  
  /* Create a custom checkbox */
  .checkmark {
    position: absolute;
    top: 0;
    left: 0;
    height: 25px;
    width: 25px;
    background-color: #eee;
  }
  
  /* On mouse-over, add a grey background color */
  .container:hover input ~ .checkmark {
    background-color: #ccc;
  }
  
  /* When the checkbox is checked, add a blue background */
  .container input:checked ~ .checkmark {
    background-color: #2196F3;
  }
  
  /* Create the checkmark/indicator (hidden when not checked) */
  .checkmark:after {
    content: "";
    position: absolute;
    display: none;
  }
  
  /* Show the checkmark when checked */
  .container input:checked ~ .checkmark:after {
    display: block;
  }
  
  /* Style the checkmark/indicator */
  .container .checkmark:after {
    left: 9px;
    top: 5px;
    width: 5px;
    height: 10px;
    border: solid white;
    border-width: 0 3px 3px 0;
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
  }
.add{
    margin-right: 20px;
}
.product__header{
    display: flex;
    display: none;
    justify-content: space-between;
    align-items: flex-end;
    width: 100%;
    padding: 10px 0 0 10px;
    position: absolute;
}
.catalog__product:hover .product__header{
    display: flex;
}
.catalog__photo{
    display: flex;
    padding-top: 50px;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 150px;
    position: relative;
}
.catalog__photo img{
    max-width: 100%;
    height: 100%;
}
.catalog__title{
    text-transform: uppercase;
    font-weight: 700;
    height: 30px;
    overflow: hidden;
    width: 100%;
    padding: 10px;
    font-size: 14px;
    color: #29304b;
}
.catalog__prices{
    height: 34px;
    padding: 10px 14px;
    border-top: 1px solid #e4e5ec;
    overflow: hidden;
    display: flex;
    justify-content: space-between;
}